<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>StockGuessingGameService.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.services</a> &gt; <span class="el_source">StockGuessingGameService.java</span></div><h1>StockGuessingGameService.java</h1><pre class="source lang-java linenums">package dev.team3.services;

import dev.team3.daos.StockSymbolRepository;
import dev.team3.models.GameStock;
import dev.team3.models.StockSymbol;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import yahoofinance.Stock;
import yahoofinance.YahooFinance;

import java.io.IOException;
import java.util.Arrays;
import java.util.List;
import java.util.Random;

@Service
<span class="fc" id="L17">public class StockGuessingGameService {</span>

    @Autowired
    private StockSymbolRepository stockSymbolRepository;

    public List&lt;GameStock&gt; returnTwoGameStocks(){

<span class="fc" id="L24">        System.out.println(&quot;inside try&quot;);</span>

<span class="fc" id="L26">        Random rand = new Random();</span>
<span class="fc" id="L27">        int randomInt = rand.nextInt(4335);</span>
<span class="fc" id="L28">        int randomInt2 = rand.nextInt(4335);</span>

<span class="pc bpc" id="L30" title="1 of 2 branches missed.">        while(randomInt2 == randomInt){</span>
<span class="nc" id="L31">            randomInt2 = rand.nextInt();</span>
        }

<span class="fc" id="L34">        StockSymbol symbol1 = stockSymbolRepository.findOneById(randomInt);</span>
<span class="fc" id="L35">        StockSymbol symbol2 = stockSymbolRepository.findOneById(randomInt2);</span>

<span class="fc" id="L37">        Stock stock1 = null;</span>
<span class="fc" id="L38">        Stock stock2 = null;</span>
        try {
<span class="fc" id="L40">            stock1 = YahooFinance.get(symbol1.getSymbol());</span>
<span class="fc" id="L41">            stock2 = YahooFinance.get(symbol2.getSymbol());</span>
<span class="nc" id="L42">        } catch (IOException e) {</span>
<span class="nc" id="L43">            e.printStackTrace();</span>
<span class="fc" id="L44">        }</span>

<span class="fc" id="L46">        GameStock gameStock1 = new GameStock(stock1.getName(),stock1.getSymbol(),stock1.getQuote().getPrice());</span>
<span class="fc" id="L47">        GameStock gameStock2 = new GameStock(stock2.getName(),stock2.getSymbol(),stock2.getQuote().getPrice());</span>

<span class="fc" id="L49">        return Arrays.asList(gameStock1,gameStock2);</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>